gr::fosphor::overlap_cc_impl Class Reference
Fosphor

Block preparing an overlapped version of the stream. More...

`#include <overlap_cc_impl.h>`

Inheritance diagram for gr::fosphor::overlap_cc_impl:
[legend]

## Public Member Functions

| overlap_cc_impl (int wlen, int overlap)
virtual | ~overlap_cc_impl ()
void | set_overlap_ratio (const int overlap)
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::fosphor::overlap_cc
typedef std::shared_ptr< overlap_cc > | sptr
Static Public Member Functions inherited from gr::fosphor::overlap_cc
static sptr | make (int wlen, int overlap)

## Detailed Description

Block preparing an overlapped version of the stream.

## Constructor & Destructor Documentation

## overlap_cc_impl()

gr::fosphor::overlap_cc_impl::overlap_cc_impl | ( | int | wlen,
|  | int | overlap )

## ~overlap_cc_impl()

virtual gr::fosphor::overlap_cc_impl::~overlap_cc_impl | ( |  | ) |

virtual

## Member Function Documentation

## set_overlap_ratio()

void gr::fosphor::overlap_cc_impl::set_overlap_ratio | ( | const int | overlap | ) |

virtual

Implements gr::fosphor::overlap_cc.

## work()

int gr::fosphor::overlap_cc_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- overlap_cc_impl.h